# How To Vote For A Validator

### Goal

Delegate a part of staked tokens to a validator or to proxy account for voting.

## Steps

The operation can be performed through the contract `cyber.stake`.

### Step 1

Go to the page `https://explorer.cyberway.io/account/cyber.stake/contract`.

### Step 2

In menu that opens, select action `delegatevote` and fill in the fields.

![](/files/-MCMG9Qu-xE0fnMkfI6P)

**Fields:**

* `grantor_name` - the identifier of your account.
* `recipient_name` — the identifier of a validator or proxy account.
* `quantity` - an amount of staked tokens transferred, taking into account the required accuracy. For *CYBER* tokens, you must specify four numbers after the point.
* `authorization` - the same identifier of your account.

### Step 3

Click `Build transaction`.

### Step 4

Review transaction.

![](/files/-MCMG9QvMB5jjb9wLBTH)

Make sure the transaction contains correct information.

### Step 5

Subscribe with your private key and click `Sign transation` to send it on blockchain.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cyberway.io/software_manuals/explorer_command_reference/delegatevote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
